apiVersion: velero.io/v1
kind: Restore
metadata:
  name: {{ velero_restore_name }}
spec:
{% if k8s_velero_restore_backup_name %}
  backupName: {{ k8s_velero_restore_backup_name }}
{% else %}
  scheduleName: {{ k8s_velero_restore_schedule }}
{% endif %}
  includedNamespaces: {{ k8s_velero_restore_config.namespaces.included | to_json }}
  excludedNamespaces: {{ k8s_velero_restore_config.namespaces.excluded | to_json }}
  includedResources: {{ k8s_velero_restore_config.resources.included | to_json }}
  excludedResources: {{ k8s_velero_restore_config.resources.excluded | to_json }}
  includeClusterResources: {{ k8s_velero_restore_config.resources.include_cluster_scoped_resources | lower }}
  labelSelector: {{ k8s_velero_restore_config.labelSelector | to_json }}
  orLabelSelectors: {{ k8s_velero_restore_config.orLabelSelectors | to_json }}
  restoreStatus:
    includedResources: {{ k8s_velero_restore_config.resourceStatus.included | to_json }}
    excludedResources: {{ k8s_velero_restore_config.resourceStatus.excluded | to_json }}
  existingResourcePolicy: {{ k8s_velero_restore_config.existingResourcePolicy }}